EndpointsOrders
Cancel an order
Cancels an order that has not entered production yet. Once production
has started the order can no longer be cancelled and this endpoint
returns a validation error. Subscribe to order.cancelled (Basic Usage → Webhooks)
to be notified when the cancellation is completed.
AuthorizationbearerAuth
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token — how to obtain one is described under Setup → Authentication.
In: header
Path Parameters
id*integer
Header Parameters
Accept*"application/json"
The API only responds with JSON — this header is mandatory on every request (see Setup → Headers).
Default
"application/json"Value in
- "application/json"
Response Body
application/json
application/json
Request example
curl -X POST "https://example.com/orders/0/cancel" \ -H "Accept: application/json"{ "data": { "id": 0, "state": "open", "external_identifier": "string", "external_reference": "string", "customer_id": 0, "items": [ { "id": 0, "variant_id": 0, "quantity": 0, "id_tags": [ { "id": 0, "code": "string" } ] } ], "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }}